DeluxHostAPI Reference
Dedicated servers & virtual machines

List reverse DNS records

GET
/v1/services/{serviceId}/tenantos/rdns

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
items*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/tenantos/rdns' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "items": [    {      "address": "string",      "ptr": null    }  ]}